Bug 532677 - Review Request: perl-HTML-SuperForm - HTML form generator
Summary: Review Request: perl-HTML-SuperForm - HTML form generator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-03 13:27 UTC by Emmanuel Seyman
Modified: 2009-11-20 05:25 UTC (History)
3 users (show)

Fixed In Version: 1.09-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-20 05:12:04 UTC
Type: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2009-11-03 13:27:54 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-HTML-SuperForm/perl-HTML-SuperForm.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-HTML-SuperForm/perl-HTML-SuperForm-1.09-1.fc11.src.rpm
Description:
This module provides an interface for generating basic HTML form elements much
like HTML::StickyForms does. The main difference is HTML::SuperForm returns
HTML::SuperForm::Field objects rather than plain HTML. This allows for more
flexibilty when generating forms for a complex application.

Comment 1 Parag AN(पराग) 2009-11-03 13:51:17 UTC
will check this tomorrow

Comment 2 Parag AN(पराग) 2009-11-05 05:51:13 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1789154
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url(sha1sum)
65e5b7e5a3792a430ad44b07a141c027ce545e47  HTML-SuperForm-1.09.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
+ Package perl-HTML-SuperForm-1.09-1.fc12.noarch =>
Provides: perl(HTML::SuperForm) = 1.09 perl(HTML::SuperForm::Field) perl(HTML::SuperForm::Field::Checkbox) perl(HTML::SuperForm::Field::CheckboxGroup) perl(HTML::SuperForm::Field::Hidden) perl(HTML::SuperForm::Field::Password) perl(HTML::SuperForm::Field::Radio) perl(HTML::SuperForm::Field::RadioGroup) perl(HTML::SuperForm::Field::Reset) perl(HTML::SuperForm::Field::Select) perl(HTML::SuperForm::Field::Submit) perl(HTML::SuperForm::Field::Text) perl(HTML::SuperForm::Field::Textarea)
Requires: perl(Carp) perl(HTML::SuperForm::Field) perl(base) perl(overload) perl(strict)
+ Not a GUI application

APPROVED

Comment 3 Emmanuel Seyman 2009-11-05 09:00:43 UTC
Thank you for the review. Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-HTML-SuperForm
Short Description: HTML form generator
Owners: eseyman
Branches: F-10 F-11 F-12
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2009-11-06 20:29:28 UTC
cvs done.

Comment 5 Fedora Update System 2009-11-07 00:52:43 UTC
perl-HTML-SuperForm-1.09-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-HTML-SuperForm-1.09-1.fc12

Comment 6 Fedora Update System 2009-11-07 00:52:48 UTC
perl-HTML-SuperForm-1.09-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-HTML-SuperForm-1.09-1.fc11

Comment 7 Fedora Update System 2009-11-07 00:52:53 UTC
perl-HTML-SuperForm-1.09-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-HTML-SuperForm-1.09-1.fc10

Comment 8 Fedora Update System 2009-11-10 17:46:35 UTC
perl-HTML-SuperForm-1.09-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-HTML-SuperForm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-11202

Comment 9 Fedora Update System 2009-11-10 17:53:37 UTC
perl-HTML-SuperForm-1.09-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-HTML-SuperForm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11252

Comment 10 Fedora Update System 2009-11-10 17:53:50 UTC
perl-HTML-SuperForm-1.09-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-HTML-SuperForm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11258

Comment 11 Fedora Update System 2009-11-20 05:11:59 UTC
perl-HTML-SuperForm-1.09-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2009-11-20 05:21:16 UTC
perl-HTML-SuperForm-1.09-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-11-20 05:24:55 UTC
perl-HTML-SuperForm-1.09-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.